import request from '@/utils/request'

// 查询产品套装明细列表
export function listMesProductSuitDetail(query) {
	return request({
		url: '/mes/mesProductSuitDetail/list',
		method: 'get',
		params: query
	})
}

// 查询产品套装明细详细
export function getMesProductSuitDetail(id) {
	return request({
		url: '/mes/mesProductSuitDetail/' + id,
		method: 'get'
	})
}

// 新增产品套装明细
export function addMesProductSuitDetail(data) {
	return request({
		url: '/mes/mesProductSuitDetail',
		method: 'post',
		data: data
	})
}

// 修改产品套装明细
export function updateMesProductSuitDetail(data) {
	return request({
		url: '/mes/mesProductSuitDetail',
		method: 'put',
		data: data
	})
}

// 删除产品套装明细
export function delMesProductSuitDetail(id) {
	return request({
		url: '/mes/mesProductSuitDetail/' + id,
		method: 'delete'
	})
}